const hookMiddleware = require('redux-hook-middleware').default
const { registerPrehook, registerPosthook } = require('redux-hook-middleware')
const { createStore, applyMiddleware } = require('redux')

// redux setup 
const initialState = { /* initial state */ }
const reducer = (state = initialState, action) => { /* reducer function logics here */ return state }
const middlewares = [hookMiddleware]
const store = createStore(reducer, initialState, applyMiddleware(...middlewares))
 
// middleware logic 
registerPrehook('try hook', (store, action) => { console.log('prehooked!') })
registerPosthook('try hook', (store, action) => { console.log('pposthooked!') })

// dispatch
store.dispatch({ type: 'try hook' });
